System.ServiceModel 4.0.0.0 System.Object

A service document is a document retrieved from a service that indicates the capabilities and locations of the available collections. A service document may contain one or more workspaces. Each workspace may contain one or more collections.

Represents a service document.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class, initializing it with the specified collection of instances.

  A collection of workspaces.
- Property
  4.0.0.0
  System.Collections.Generic.Dictionary<System.Xml.XmlQualifiedName,System.String> To be added. To be added.

  Gets a collection of attribute extensions.

- Property
  4.0.0.0
  System.Uri To be added. To be added.

  Gets and sets the base URI for the instance.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.Workspace To be added.

  Creates a new instance.

  A new workspace.

- Property
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationElementExtensionCollection To be added.

  Element extensions are valid XML elements that are not specified in either the Atom 1.0 or RSS 2.0 specifications. You can add any valid XML element as an extension, provided its namespace is different from the enclosing namespace.

  `<mg:MyElement xmlns:mg="http://myserver/elements" />`

  Gets the element extensions for the service document.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.ServiceDocumentFormatter To be added.

  Gets a instance.

  A instance.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets and sets the language of the service document.

- Method
  4.0.0.0
  System.ServiceModel.Syndication.ServiceDocument `` To be added.

  Loads a service document from the specified into a instance.

  A instance.

  The to read the service document from.
- Method
  4.0.0.0
  TServiceDocument DefaultConstructorConstraint System.ServiceModel.Syndication.ServiceDocument `` To be added.

  Loads a service document from the specified into a derived instance.

  A instance.

  The to read the service document from. The type of the service document.
- Method
  4.0.0.0
  System.Void `` To be added.

  Saves the instance to the specified .

  The to save the service document to.
- Method
  4.0.0.0
  System.Boolean `` `` `` `` To be added.

  Attempts to parse an attribute extension.

  true if the attribute is successfully parsed; otherwise, false. Returns .

  The name of the element. The namespace of the element. The attribute to parse. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Attempts to parse an element extension.

  true if the element is successfully parsed; otherwise, false.

  The to read from. The syndication version to use when parsing.
- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Syndication.Workspace> To be added. To be added.

  Gets a collection of workspaces contained within the service document.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes the attribute extensions to the specified using the specified syndication version.

  The to write to. The syndication version to use when writing.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes the element extensions to the specified using the specified syndication version.

  The to write to. The syndication version to use when writing.